cutlass::epilogue::EpilogueWorkspace< Shape_, WarpCount, FragmentC_ >::Params Struct Reference

Parameters structure.

`#include <epilogue_workspace.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE | Params (ElementC *ptr_C, int stride_n_, int stride_k_)

## Public Attributes

ElementC * | ptr_C
| Pointer to C matrix. More...
int | stride_n
| Stride between tiles along the GEMM N dimension (in units of vectors) More...
int | stride_k
| Stride between tiles along the GEMM K dimension (in units of vectors) More...

## Constructor & Destructor Documentation

template<typename Shape_ , int WarpCount, typename FragmentC_ >

CUTLASS_HOST_DEVICE cutlass::epilogue::EpilogueWorkspace< Shape_, WarpCount, FragmentC_ >::Params::Params | ( | ElementC * | ptr_C,
|  | int | stride_n_,
|  | int | stride_k_
| ) |  |

inline

Parameters

  ptr_C | Pointer to C matrix
  stride_n_ | Stride between tiles along the GEMM N dimension (in units of ElementC)
  stride_k_ | Stride between tiles along the GEMM K dimension (in units of ElementC)

## Member Data Documentation

template<typename Shape_ , int WarpCount, typename FragmentC_ >

ElementC* cutlass::epilogue::EpilogueWorkspace< Shape_, WarpCount, FragmentC_ >::Params::ptr_C

template<typename Shape_ , int WarpCount, typename FragmentC_ >

int cutlass::epilogue::EpilogueWorkspace< Shape_, WarpCount, FragmentC_ >::Params::stride_k

template<typename Shape_ , int WarpCount, typename FragmentC_ >

int cutlass::epilogue::EpilogueWorkspace< Shape_, WarpCount, FragmentC_ >::Params::stride_n

The documentation for this struct was generated from the following file:

- epilogue_workspace.h